Functions
IT_Management
Peripheral Driver » LL Driver » GPIO » Functions

## Functions
__STATIC_INLINE void | ll_gpio_enable_falling_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Falling Edge Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_falling_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if falling edge trigger is enabled for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_rising_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Rising Edge Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_rising_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if rising edge trigger is enabled for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_high_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO High Level Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_high_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if high level trigger is enabled for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_low_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Low Level Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_low_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if low level trigger is enabled for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO interrupts for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_disable_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Disable GPIO interrupts for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if the Interrupt of specified GPIO pins is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_disable_it()

__STATIC_INLINE void ll_gpio_disable_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Disable GPIO interrupts for pins in the range of 0 to 15.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTENCLR | INTENCLR | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1291 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_falling_trigger()

__STATIC_INLINE void ll_gpio_enable_falling_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Falling Edge Trigger for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLCLR | INTPOLCLR | +———————-+———————————–+ \endrst INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 933 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_high_trigger()

__STATIC_INLINE void ll_gpio_enable_high_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO High Level Trigger for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLSET | INTPOLSET | +———————-+———————————–+ \endrst INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1094 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_it()

__STATIC_INLINE void ll_gpio_enable_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO interrupts for pins in the range of 0 to 15.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTENSET | INTENSET | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1253 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_low_trigger()

__STATIC_INLINE void ll_gpio_enable_low_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Low Level Trigger for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLCLR | INTPOLCLR | +———————-+———————————–+ \endrst INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1174 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_rising_trigger()

__STATIC_INLINE void ll_gpio_enable_rising_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Rising Edge Trigger for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLSET | INTPOLSET | +———————-+———————————–+ \endrst INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1013 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_enabled_falling_trigger()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_falling_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if falling edge trigger is enabled for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLCLR | INTPOLCLR | +———————-+———————————–+ \endrst INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 973 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_enabled_high_trigger()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_high_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if high level trigger is enabled for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLSET | INTPOLSET | +———————-+———————————–+ \endrst INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1134 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_enabled_it()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if the Interrupt of specified GPIO pins is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTENSET | INTENSET | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1328 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_enabled_low_trigger()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_low_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if low level trigger is enabled for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLCLR | INTPOLCLR | +———————-+———————————–+ \endrst INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1214 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_enabled_rising_trigger()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_rising_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if rising edge trigger is enabled for pins in the range of 0 to 15.

Note

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTPOLSET | INTPOLSET | +———————-+———————————–+ \endrst INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Note
  Please check each device line mapping for GPIO Line availability

Return values

  State | of bit (1 or 0).

Definition at line 1054 of file gr55xx_ll_gpio.h.